@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,400;0,500;0,700;0,800;1,400&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Nanum+Gothic&family=Noto+Sans+KR:wght@400;700&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}

body {
  position: relative;
  min-height: 100vh;
}

/* grid container */
.flex-container {
  position: absolute;
  right: 0;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  background: #444;
  width: 100%;
  min-height: 100vh;
  z-index: 10;
  transition: right 0.4s ease;
}

.flex-container.menu-show {
  right: var(--menu-width);
}

.flex-container:before {
  content: '';
  position: absolute;
  background: url('https://source.unsplash.com/1600x900/?nature,water')
    no-repeat center center/cover;
  width: 100%;
  height: 100%;
  mix-blend-mode: overlay;
}

/* header */
.header {
  position: absolute;
  top: 0;
  left: 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  padding: 0.5rem 1rem;
  color: #fff;
}

.header .toggle {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 3.5rem;
  height: 3.5rem;
  cursor: pointer;
  transition: transform 0.4s ease;
}

.header .toggle:active {
  transform: rotate(180deg);
}

.header .logo {
  color: inherit;
  text-decoration: none;
}

/* main */
.main {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: #fff;
  height: 100%;
}

/* main - mode */
.main .mode-container {
  text-align: center;
  height: 7rem;
}

.main .mode-container h3 {
  letter-spacing: 0.4rem;
  margin-bottom: 1rem;
}

.main .mode-container label {
  display: inline-block;
  font-style: italic;
  font-weight: bold;
  color: #bbb;
  letter-spacing: 0.2rem;
  font-size: 1rem;
  margin: 0 1rem;
  transition: all 0.2s ease;
}

.main .mode {
  display: none;
}

.main .mode-container .mode:checked + label {
  font-size: 3rem;
  color: #fff;
}

/* main - timer */
.main .timer {
  text-align: center;
}

.main .timer h1 {
  font-size: 6rem;
  font-weight: 300;
}

/* main - control-panel */
.main .control-panel .btn {
  font-size: 1rem;
  text-align: center;
  letter-spacing: 0.1rem;
  text-transform: uppercase;
  margin: 0.5rem 1rem;
}

/* menu */
#menu {
  position: absolute;
  top: 0;
  right: 0;
  width: var(--menu-width);
  height: 100%;
}

#menu.show {
  transform: translateX(0);
}

#menu h3 {
  padding: 0.5rem 1rem;
  font-size: 1.5rem;
  border-bottom: 1px solid #555;
}

#menu ul {
  list-style: none;
  display: flex;
  flex-direction: column;
}

#menu ul li {
  border-bottom: 1px solid #555;
}

#menu ul li a {
  display: block;
  text-decoration: none;
  color: inherit;
  font-size: 1.2rem;
  padding: 0.8rem 1rem;
}

/* menu - settings modal */
#settings-modal .modal-body form .row input {
  width: 50%;
}

#settings-modal .modal-body form .form-group {
  justify-content: center;
}

/* menu - donate modal */
#donate-modal .modal-body {
  display: flex;
  flex-direction: column;
  align-items: center;
}

#donate-modal .modal-body img {
  width: 80%;
  object-fit: cover;
  margin-bottom: 1rem;
}

#donate-modal .modal-body a {
  display: block;
  width: 100%;
  text-decoration: none;
  background: #ffea00;
  color: #1e1e1e;
  padding: 1rem;
  text-align: center;
  border-radius: 5px;
  font-size: 1rem;
  font-family: 'Noto Sans KR', sans-serif;
  font-weight: 700;
}

/* footer */
.footer {
  grid-area: footer;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: #fff;
  text-align: center;
}
